---
title: Update organization handle
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Google Chat Integration
---

# Update organization handle{% #update-organization-handle %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                                                                                |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}  |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id} |

### Overview

Update an organization handle from the Datadog Google Chat integration.

### Arguments

#### Path Parameters

| Name                                      | Type   | Description                   |
| ----------------------------------------- | ------ | ----------------------------- |
| organization_binding_id [*required*] | string | Your organization binding ID. |
| handle_id [*required*]               | string | Your organization handle ID.  |

### Request

#### Body Data (required)

Organization handle payload.

{% tab title="Model" %}

| Parent field | Field                        | Type   | Description                                                                               |
| ------------ | ---------------------------- | ------ | ----------------------------------------------------------------------------------------- |
|              | data [*required*]       | object | Organization handle data for an update request.                                           |
| data         | attributes [*required*] | object | Organization handle attributes for an update request.                                     |
| attributes   | name                         | string | Organization handle name.                                                                 |
| attributes   | space_resource_name          | string | Google space resource name.                                                               |
|              | type [*required*]       | enum   | Organization handle resource type. Allowed enum values: `google-chat-organization-handle` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "name": "fake-handle-name--updated"
    }
  },
  "type": "google-chat-organization-handle"
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Organization handle for monitor notifications to a Google Chat space within a Google organization.

| Parent field | Field                  | Type   | Description                                                                               |
| ------------ | ---------------------- | ------ | ----------------------------------------------------------------------------------------- |
|              | data [*required*] | object | Organization handle data from a response.                                                 |
| data         | attributes             | object | Organization handle attributes.                                                           |
| attributes   | name                   | string | Organization handle name.                                                                 |
| attributes   | space_display_name     | string | Google space display name.                                                                |
| attributes   | space_resource_name    | string | Google space resource name.                                                               |
| data         | id                     | string | The ID of the organization handle.                                                        |
| data         | type                   | enum   | Organization handle resource type. Allowed enum values: `google-chat-organization-handle` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "name": "fake-handle-name",
      "space_display_name": "Fake Space Name",
      "space_resource_name": "spaces/AAAAAAAAA"
    },
    "id": "596da4af-0563-4097-90ff-07230c3f9db3",
    "type": "google-chat-organization-handle"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="409" %}
Conflict
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                          \## default
# 
 \# Path parameters export organization_binding_id="CHANGE_ME" export handle_id="CHANGE_ME" \# Curl command curl -X PATCH "https://api.datadoghq.com/api/v2/integration/google-chat/organizations/${organization_binding_id}/organization-handles/${handle_id}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "name": "fake-handle-name",
      "space_resource_name": "spaces/AAAAAAAAA"
    }
  },
  "type": "google-chat-organization-handle"
}
EOF 
                        
##### 

```go
// Update organization handle returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	// there is a valid "organization_handle" in the system
	OrganizationHandleDataID := os.Getenv("ORGANIZATION_HANDLE_DATA_ID")

	body := datadogV2.GoogleChatUpdateOrganizationHandleRequest{
		Data: datadogV2.GoogleChatUpdateOrganizationHandleRequestData{
			Attributes: datadogV2.GoogleChatUpdateOrganizationHandleRequestAttributes{
				Name: datadog.PtrString("fake-handle-name--updated"),
			},
		},
		Type: datadogV2.GOOGLECHATORGANIZATIONHANDLETYPE_GOOGLE_CHAT_ORGANIZATION_HANDLE_TYPE,
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewGoogleChatIntegrationApi(apiClient)
	resp, r, err := api.UpdateOrganizationHandle(ctx, "e54cb570-c674-529c-769d-84b312288ed7", OrganizationHandleDataID, body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `GoogleChatIntegrationApi.UpdateOrganizationHandle`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `GoogleChatIntegrationApi.UpdateOrganizationHandle`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Update organization handle returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.GoogleChatIntegrationApi;
import com.datadog.api.client.v2.model.GoogleChatOrganizationHandleResponse;
import com.datadog.api.client.v2.model.GoogleChatOrganizationHandleType;
import com.datadog.api.client.v2.model.GoogleChatUpdateOrganizationHandleRequest;
import com.datadog.api.client.v2.model.GoogleChatUpdateOrganizationHandleRequestAttributes;
import com.datadog.api.client.v2.model.GoogleChatUpdateOrganizationHandleRequestData;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    GoogleChatIntegrationApi apiInstance = new GoogleChatIntegrationApi(defaultClient);

    // there is a valid "organization_handle" in the system
    String ORGANIZATION_HANDLE_DATA_ATTRIBUTES_NAME =
        System.getenv("ORGANIZATION_HANDLE_DATA_ATTRIBUTES_NAME");
    String ORGANIZATION_HANDLE_DATA_ID = System.getenv("ORGANIZATION_HANDLE_DATA_ID");

    GoogleChatUpdateOrganizationHandleRequest body =
        new GoogleChatUpdateOrganizationHandleRequest()
            .data(
                new GoogleChatUpdateOrganizationHandleRequestData()
                    .attributes(
                        new GoogleChatUpdateOrganizationHandleRequestAttributes()
                            .name("fake-handle-name--updated")))
            .type(GoogleChatOrganizationHandleType.GOOGLE_CHAT_ORGANIZATION_HANDLE_TYPE);

    try {
      GoogleChatOrganizationHandleResponse result =
          apiInstance.updateOrganizationHandle(
              "e54cb570-c674-529c-769d-84b312288ed7", ORGANIZATION_HANDLE_DATA_ID, body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println(
          "Exception when calling GoogleChatIntegrationApi#updateOrganizationHandle");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```python
"""
Update organization handle returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.google_chat_integration_api import GoogleChatIntegrationApi
from datadog_api_client.v2.model.google_chat_organization_handle_type import GoogleChatOrganizationHandleType
from datadog_api_client.v2.model.google_chat_update_organization_handle_request import (
    GoogleChatUpdateOrganizationHandleRequest,
)
from datadog_api_client.v2.model.google_chat_update_organization_handle_request_attributes import (
    GoogleChatUpdateOrganizationHandleRequestAttributes,
)
from datadog_api_client.v2.model.google_chat_update_organization_handle_request_data import (
    GoogleChatUpdateOrganizationHandleRequestData,
)

# there is a valid "organization_handle" in the system
ORGANIZATION_HANDLE_DATA_ATTRIBUTES_NAME = environ["ORGANIZATION_HANDLE_DATA_ATTRIBUTES_NAME"]
ORGANIZATION_HANDLE_DATA_ID = environ["ORGANIZATION_HANDLE_DATA_ID"]

body = GoogleChatUpdateOrganizationHandleRequest(
    data=GoogleChatUpdateOrganizationHandleRequestData(
        attributes=GoogleChatUpdateOrganizationHandleRequestAttributes(
            name="fake-handle-name--updated",
        ),
    ),
    type=GoogleChatOrganizationHandleType.GOOGLE_CHAT_ORGANIZATION_HANDLE_TYPE,
)

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = GoogleChatIntegrationApi(api_client)
    response = api_instance.update_organization_handle(
        organization_binding_id="e54cb570-c674-529c-769d-84b312288ed7", handle_id=ORGANIZATION_HANDLE_DATA_ID, body=body
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Update organization handle returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::GoogleChatIntegrationAPI.new

# there is a valid "organization_handle" in the system
ORGANIZATION_HANDLE_DATA_ATTRIBUTES_NAME = ENV["ORGANIZATION_HANDLE_DATA_ATTRIBUTES_NAME"]
ORGANIZATION_HANDLE_DATA_ID = ENV["ORGANIZATION_HANDLE_DATA_ID"]

body = DatadogAPIClient::V2::GoogleChatUpdateOrganizationHandleRequest.new({
  data: DatadogAPIClient::V2::GoogleChatUpdateOrganizationHandleRequestData.new({
    attributes: DatadogAPIClient::V2::GoogleChatUpdateOrganizationHandleRequestAttributes.new({
      name: "fake-handle-name--updated",
    }),
  }),
  type: DatadogAPIClient::V2::GoogleChatOrganizationHandleType::GOOGLE_CHAT_ORGANIZATION_HANDLE_TYPE,
})
p api_instance.update_organization_handle("e54cb570-c674-529c-769d-84b312288ed7", ORGANIZATION_HANDLE_DATA_ID, body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```rust
// Update organization handle returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_google_chat_integration::GoogleChatIntegrationAPI;
use datadog_api_client::datadogV2::model::GoogleChatOrganizationHandleType;
use datadog_api_client::datadogV2::model::GoogleChatUpdateOrganizationHandleRequest;
use datadog_api_client::datadogV2::model::GoogleChatUpdateOrganizationHandleRequestAttributes;
use datadog_api_client::datadogV2::model::GoogleChatUpdateOrganizationHandleRequestData;

#[tokio::main]
async fn main() {
    // there is a valid "organization_handle" in the system
    let organization_handle_data_id = std::env::var("ORGANIZATION_HANDLE_DATA_ID").unwrap();
    let body = GoogleChatUpdateOrganizationHandleRequest::new(
        GoogleChatUpdateOrganizationHandleRequestData::new(
            GoogleChatUpdateOrganizationHandleRequestAttributes::new()
                .name("fake-handle-name--updated".to_string()),
        ),
        GoogleChatOrganizationHandleType::GOOGLE_CHAT_ORGANIZATION_HANDLE_TYPE,
    );
    let configuration = datadog::Configuration::new();
    let api = GoogleChatIntegrationAPI::with_config(configuration);
    let resp = api
        .update_organization_handle(
            "e54cb570-c674-529c-769d-84b312288ed7".to_string(),
            organization_handle_data_id.clone(),
            body,
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Update organization handle returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.GoogleChatIntegrationApi(configuration);

// there is a valid "organization_handle" in the system
const ORGANIZATION_HANDLE_DATA_ID = process.env
  .ORGANIZATION_HANDLE_DATA_ID as string;

const params: v2.GoogleChatIntegrationApiUpdateOrganizationHandleRequest = {
  body: {
    data: {
      attributes: {
        name: "fake-handle-name--updated",
      },
    },
    type: "google-chat-organization-handle",
  },
  organizationBindingId: "e54cb570-c674-529c-769d-84b312288ed7",
  handleId: ORGANIZATION_HANDLE_DATA_ID,
};

apiInstance
  .updateOrganizationHandle(params)
  .then((data: v2.GoogleChatOrganizationHandleResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
